#ifndef CONFIG_H
#define CONFIG_H

#ifdef SCCZ80
#define Z80CC 1
#define NFINITE 1
#define NOPBINOM 1

#undef SLOWDICHOTOMY
#undef POOR_DBINOM

#endif

/*
#undef HAS_LOG1P
#undef HAS_LGAMMA
#undef HAS_EXPM1
#undef HAS_FMAX
#undef NFINITE
#undef SLOWDICHOTOMY
#undef POOR_DBINOM
*/

#ifdef HAS_LOG1P
#define log1pfn log1p
#else
double log1pfn(double x);
#endif

#ifdef HAS_EXPM1
#define expm1fn expm1
#else
double expm1fn(double x);
#endif

#ifdef HAS_LGAMMA
#define lgammafn lgamma
#else
double lgammafn(double x);
#endif


#ifdef HAS_FMAX
#define fmaxfn fmax
#else
double fmaxfn(double x, double y);
#endif

#endif
